--判断列表长度
local llen = redis.call('llen', KEYS[3])
--列表有值的情况
if llen ~= 0 then
	local source = redis.call('get', KEYS[4])
	local target = redis.call('incr', KEYS[4])
	--计数器自增后不相等
	if source ~= target then
		--从列表的右端弹出一个值
		local table_res = redis.call('rpop', KEYS[3])
		local llen2 = redis.call('llen', KEYS[3])
		--验证代码
		local source1 = redis.call('get', KEYS[1])
		local source2 = redis.call('get', KEYS[4])
		return 'sendcount:'..source1..', receivecount:'..source2..', llen:'..llen2..', source:'..source..', target:'..target..'=========='..table_res
	else
		--验证代码
		local source1 = redis.call('get', KEYS[1])
		local source2 = redis.call('get', KEYS[4])
		return 'sendcount:'..source1..', receivecount:'..source2..', llen:'..llen..'=========='
	end
else
	return 'sendcount:0, receivecount:0, llen:'..llen..'=========='
end
